#!/usr/bin/env python
# This is a BuildSystem makefile (bk://sidl.bkbits.net/BuildSystem)
#   It is not necessary for the normal functioning of PLY
import user
import build.framework
import project

class PetscMake(build.framework.Framework):
  def __init__(self, clArgs = None, argDB = None):
    build.framework.Framework.__init__(self, project.Project('bk://ply.bkbits.net/ply-dev', self.getRoot()), clArgs, argDB)
    return

  def defineSIDL(self):
    '''Define SIDL files sets before activation since they are necessary to calculate the compiler template'''
    import build.fileset
    self.filesets['sidl'] = build.fileset.FileSet()

  def setupProject(self):
    self.defineSIDL()
    return

  def setupBuild(self):
    self.sidlTemplate.addClient('Python')
    return

  def t_compile(self):
    '''We must override this target; otherwise we fail to find a runtime project during bootstrap'''
    return

if __name__ == '__main__':
  import sys
  PetscMake(sys.argv[1:]).main()
